POST
/v1/mgmt/group/member/all

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

tenantId?string
loginIds?array<string>
string
userIds?array<string>
string

Load all external group for specific members, using a valid management key.

This API endpoint allows administrators to load all external groups for specific members associated with a specific tenant. The tenantId is required and the loginId or userId are optional for further filtering. The response contains an array of group objects including the group id, display name, and an array of associated members.

Next Steps

Administrators can review this information and make changes within their IdP or if necessary, Create a SCIM Group, Update an Existing SCIM Group (adding new members), or Delete an Existing SCIM Group

See also

  • See SSO Configuration for further details on managing SSO Configurations on a tenant.
curl -X POST "https://api.descope.com/v1/mgmt/group/member/all" \  -H "Content-Type: application/json" \  -d '{}'
{  "groups": [    {      "id": "string",      "display": "string",      "members": [        {          "loginId": "string",          "userId": "string",          "display": "string"        }      ]    }  ]}
export interface Response {groups?: {id?: stringdisplay?: stringmembers?: GroupMember[]}[]}export interface GroupMember {loginId?: stringuserId?: stringdisplay?: string}
Was this helpful?

Load All External Groups for a Tenant POST

### Load all external groups for a tenant, using a valid management key. This API endpoint allows administrators to load all external groups that are associated to a tenant. The response contains an array of group objects including the group id, display name, and an array of associated members. ### Next Steps Administrators can review this information and make changes within their IdP or if necessary, [Create a SCIM Group](/api/management/tenants/scim/create-scim-group), [Update an Existing SCIM Group (adding new members)](/api/management/tenants/scim/update-scim-group), or [Delete an Existing SCIM Group](/api/management/tenants/scim/delete-scim-group) ### See also - See [SSO Configuration](/sso) for further details on managing SSO Configurations on a tenant.

Load All Members of a specific External Group POST

### Load all members of a specific External group, using a valid management key. This API endpoint allows administrators to load all members of a specific external group that is associated to a tenant. The response contains an array of group objects including the group id, display name, and an array of associated members. ### Next Steps Administrators can review this information and make changes within their IdP or if necessary, [Create a SCIM Group](/api/management/tenants/scim/create-scim-group), [Update an Existing SCIM Group (adding new members)](/api/management/tenants/scim/update-scim-group), or [Delete an Existing SCIM Group](/api/management/tenants/scim/delete-scim-group) ### See also - See [SSO Configuration](/sso) for further details on managing SSO Configurations on a tenant.